## ros-humble-rcl-interfaces 1.2.1

=== debian/changelog ===
ros-humble-rcl-interfaces (1.2.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-rcl-interfaces (1.2.0-1jammy) jammy; urgency=high

  * Update maintainers to Chris Lalancette (#130 <https://github.com/ros2/rcl_interfaces/issues/130>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-rcl-interfaces (1.1.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 06 Aug 2021 05:00:00 -0000

ros-humble-rcl-interfaces (1.0.3-1jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#122 <https://github.com/ros2/rcl_interfaces/issues/122>)
  * Updating Quality Declaration (#120 <https://github.com/ros2/rcl_interfaces/issues/120>)
  * Contributors: Chris Lalancette, shonigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-rcl-interfaces (1.0.2-1jammy) jammy; urgency=high

  * Add field to the parameter description to specify dynamic/static typing. (#118 <https://github.com/ros2/rcl_interfaces/issues/118>)
  * Update quality declaration to QL 1. (#116 <https://github.com/ros2/rcl_interfaces/issues/116>)
  * Update package maintainers. (#112 <https://github.com/ros2/rcl_interfaces/issues/112>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic, Michel Hidalgo, Stephen Brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 22 Feb 2021 06:00:00 -0000

ros-humble-rcl-interfaces (1.0.1-1jammy) jammy; urgency=high

  * Increase Quality level of packages to 3 (#108 <https://github.com/ros2/rcl_interfaces/issues/108>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#106 <https://github.com/ros2/rcl_interfaces/issues/106>)
  * Updating QD to reflect package versions (#107 <https://github.com/ros2/rcl_interfaces/issues/107>)
  * Contributors: Chris Lalancette, brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 29 Jun 2020 05:00:00 -0000

ros-humble-rcl-interfaces (1.0.0-1jammy) jammy; urgency=high

  * Add documentation of log levels (#93 <https://github.com/ros2/rcl_interfaces/issues/93>)
  * Add quality declarations for each package except test_msgs (#92 <https://github.com/ros2/rcl_interfaces/issues/92>)
  * Contributors: Tully Foote, brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-rcl-interfaces (0.9.0-1jammy) jammy; urgency=high

  * Remove commented code line (#99 <https://github.com/ros2/rcl_interfaces/issues/99>)
  * Remove unused IntraProcessMessage (#89 <https://github.com/ros2/rcl_interfaces/issues/89>)
  * Contributors: Dirk Thomas, Stephen Brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 25 Apr 2020 05:00:00 -0000

ros-humble-rcl-interfaces (0.8.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-humble-rcl-interfaces (0.7.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-rcl-interfaces (0.7.3-1jammy) jammy; urgency=high

  * Add mapping file for ROS 1 bridge (#67 <https://github.com/ros2/rcl_interfaces/issues/67>)
  * Contributors: Juan Rodriguez Hortala

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-rcl-interfaces (0.7.2-1jammy) jammy; urgency=high

  * Parameters support ranges (#72 <https://github.com/ros2/rcl_interfaces/issues/72>)
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-rcl-interfaces (0.7.1-1jammy) jammy; urgency=high

  * Add read_only parameter metadata (#35 <https://github.com/ros2/rcl_interfaces/issues/35>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-humble-rcl-interfaces (0.7.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-humble-rcl-interfaces (0.6.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 11 Jan 2019 06:00:00 -0000

ros-humble-rcl-interfaces (0.6.1-1jammy) jammy; urgency=high

  * adding node path and timestamp fields to event msg (#51 <https://github.com/ros2/rcl_interfaces/issues/51>)
  * Adding a message type for Log messages that will be sent out over the… (#53 <https://github.com/ros2/rcl_interfaces/issues/53>)
  * Contributors: Nick Burek, bpwilcox

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-humble-rcl-interfaces (0.6.0-1jammy) jammy; urgency=high

  * use add_compile_options instead of setting only cxx flags
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-humble-rcl-interfaces (0.5.0-1jammy) jammy; urgency=high

  * add array parameter types as defined in https://github.com/ros2/design/pull/152 (#32 <https://github.com/ros2/rcl_interfaces/issues/32>)
  * Byte array parameter rename (#33 <https://github.com/ros2/rcl_interfaces/issues/33>)
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jun 2018 05:00:00 -0000

ros-humble-rcl-interfaces (0.4.0-1jammy) jammy; urgency=high

  * member of rosidl_interfaces_packages group (#28 <https://github.com/ros2/rcl_interfaces/issues/28>)
  * [rcl_interfaces] Homogenize iface definition (#23 <https://github.com/ros2/rcl_interfaces/issues/23>)
  * Contributors: Dirk Thomas, Esteve Fernandez, Mikael Arguedas, Morgan Quigley, Tully Foote, William Woodall, dhood

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000
